function [g] = initialg(N,H,A0, B)

e1 = eye(N,1);
SIG = A0*A0';
Fmat = zeros(N,N);
Num = zeros(N,N);
Denom = 0;
for t = 0:H
    Num = Num + (e1'*(B(:,:,t+1)*A0))'*(e1'*(B(:,:,t+1)*A0));
    Denom = Denom + e1'*(B(:,:,t+1)*SIG*B(:,:,t+1)')*e1;
end
Fmat = Fmat + Num/Denom;
[V,D] = eig(Fmat(2:end,2:end));
[~,I] = max(abs(diag(D)));
g = [0; -V(:,I)];
