
function Out = MSObj(g)

global VARMA H 

A0 = chol(VARMA.VARVCV,'lower');

N = VARMA.VARnvars;
B = VARMA.MAcoef;
SIG = VARMA.VARVCV;

e1 = eye(N,1);
gam2 = g;
Num2 = 0;
Denom = 0;
for t = 0:H
    Num2 = Num2 + e1'*(B(:,:,t+1)*A0*(gam2*gam2')*A0'*B(:,:,t+1)')*e1;
    Denom = Denom + e1'*(B(:,:,t+1)*SIG*B(:,:,t+1)')*e1;
end
Out = Num2/Denom; % Objective function for Max-share
Out = -Out;
