% Correlations between simulated series and actual series
clear all
close all
clc


load HD_MSSR;


% Choose variable (variable order [tfp nds out hrs inff sp e5y]) 1 for tfp,3 for output

for vv = 2:4;

step0 = 77;
step1 = 80;

% Correlations
slct = [1:4 6]; % use log difference of tfp, nds, out, hours and sp
CORRYYhat60 = zeros(1,R);
CORRYYhat80 = zeros(1,R);
CORRYYhat00 = zeros(1,R);

STDYhat60 = zeros(1,R);
STDYhat80 = zeros(1,R);
STDYhat00 = zeros(1,R);

    if ismember(vv,slct)
        for j = 1:R
            CORRYYhat60(j) = corr(diff(Hist_MSSR{j}.data(p+1:p+step0,vv)),diff(Hist_MSSR{j}.histdcmp(1:step0,vv)));
            CORRYYhat80(j) = corr(diff(Hist_MSSR{j}.data(p+1:p+step0+step1,vv)),diff(Hist_MSSR{j}.histdcmp(1:step0+step1,vv)));
            CORRYYhat00(j) = corr(diff(Hist_MSSR{j}.data(p+1:end,vv)),diff(Hist_MSSR{j}.histdcmp(1:end,vv)));
            
        end
    else
        for j = 1:R
            CORRYYhat60(j) = corr(diff(Hist_MSSR{j}.data(p+1:p+step0,vv)),diff(Hist_MSSR{j}.histdcmp(1:step0,vv)));
            CORRYYhat80(j) = corr(diff(Hist_MSSR{j}.data(p+1:p+step0_step1,vv)),diff(Hist_MSSR{j}.histdcmp(1:step0+step1,vv)));
            CORRYYhat00(j) = corr(diff(Hist_MSSR{j}.data(p+1:end,vv)),diff(Hist_MSSR{j}.histdcmp(1:end,vv)));

        end
    end
    meancorr60 = median(CORRYYhat60);
    meancorr80 = median(CORRYYhat80);
    meancorr00 = median(CORRYYhat00);

   Corr = [meancorr60 meancorr80 meancorr00]

end;
    